For the complete documentation index, see llms.txt. This page is also available as Markdown.

Retrieve Backup

Returns the Backup by ID.

get
/backups/{backupId}
Authorizations
AuthorizationstringRequired

The token can be generated using the Authentication API.

Path parameters
backupIdstring · uuidRequired

The ID (UUID) of the Backup.

Example: 45ca67fb-8b07-5783-9c97-2d35acceb084
Responses
200

Getting Backup was successful.

application/json
idstring · uuidRequired

The ID (UUID) of the Backup.

Example: 45ca67fb-8b07-5783-9c97-2d35acceb084
typestring · enumRequired

The type of the resource.

Possible values:
hrefstringRequired

The URL of the Backup.

Example: /backups/45ca67fb-8b07-5783-9c97-2d35acceb084
metadataobject · NoMetadataRead-onlyRequired
get/backups/{backupId}
GET /v2/backups/{backupId} HTTP/1.1
Host: mariadb.de-txl.ionos.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "id": "45ca67fb-8b07-5783-9c97-2d35acceb084",
  "type": "backup",
  "href": "/backups/45ca67fb-8b07-5783-9c97-2d35acceb084",
  "metadata": {},
  "properties": {
    "clusterId": "dcd31531-3ac8-11eb-9feb-046c59cc737e",
    "clusterName": "my-mariadb-cluster",
    "mariadbClusterVersion": "11.4",
    "earliestRecoveryTargetTime": "2023-10-05T14:48:00.000Z",
    "latestRecoveryTargetTime": "2023-10-10T14:48:00.000Z",
    "location": "eu-central-3"
  }
}

Last updated

Was this helpful?